using System;
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Interoperability
{
    [ComVisible(true)]
    public class Rule1410A
    {
        // このメソッドは CA1410:UnmatchedRegistration に違反しています。
        [SuppressMessage("Microsoft.Usage", "CA1801:ReviewUnusedParameters")]
        [ComRegisterFunction]
        internal static void Register(Type type)
        {
        }

        public override string ToString()
        {
            return "Rule1410A";
        }
    }

    [ComVisible(true)]
    public class Rule1410B
    {
        // このメソッドは CA1410:UnmatchedUnregistration に違反しています。
        [SuppressMessage("Microsoft.Usage", "CA1801:ReviewUnusedParameters")]
        [ComUnregisterFunction]
        internal static void Unregister(Type type)
        {
        }

        public override string ToString()
        {
            return "Rule1410B";
        }
    }
}
